## postgis 2.1.3+dfsg

=== doc/Makefile ===
#
# PostGIS - Spatial Types for PostgreSQL
# http://www.postgis.net
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU General Public Licence. See the COPYING file.
#
# PostGIS documentation build Makefile
#
# Copyright 2003-2012 Sandro Santilli <strk@keybit.net>
# Copyright 2004-2012 Paul Ramsey <pramsey@cleverelephant.ca>
# Copyright 2009-2011 Regina Obe <lr@pcorp.us>
# Copyright 2008-2010 Mark Cave-Ayland
# Copyright 2008-2010 Kevin Neufeld <kneufeld.ca@gmail.com>
# Copyright 2009-2010 Olivier Courtin <olivier.courtin@camptocamp.com>
# Copyright 2005-2006 Markus Schaber <markus@schabi.de>
#
# NOTE: We don't use a standard PGXS Makefile here since the DOCS target
# only allows files to be stored within contrib/ and we currently
# store documentation under contrib/postgis due to the possibility
# that we could produce a large number of files (think chunked HTML)
#

translations = it_IT pt_BR 

POSTGIS_MAJOR_VERSION=2
POSTGIS_MINOR_VERSION=1
POSTGIS_MICRO_VERSION=3

INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644

XSLTPROC=/usr/bin/xsltproc
XSLBASE=/usr/share/xml/docbook/stylesheet/nwalsh
XMLLINT=/usr/bin/xmllint
PERL=/usr/bin/perl

# To allow network access use:
#
# make html XSLTPROCFLAGS=
#
ifeq ($(XSLTPROCFLAGS),)
	XSLTPROCFLAGS=--nonet
endif

XSLTPROC_COMMONOPTS= \
	--param section.autolabel 1 \
	--param section.label.includes.component.label 1 \
	--param chunk.section.depth 0 \
	--param generate.section.toc.level 2 \
	--param funcsynopsis.style kr \
	--param admon.graphics 1 \
	--param admon.textlabel 0 \
	--param simplesect.in.toc 0 \
	--param use.id.as.filename 1 \
	--param chunk.quietly 1 \
	$(XSLTPROCFLAGS)

XSLTPROC_HTMLOPTS= \
	--stringparam html.stylesheet style.css \

HTML_DOCBOOK_XSL=$(XSLBASE)/html/docbook.xsl
CHUNK_HTML_DOCBOOK_XSL=$(XSLBASE)/html/chunk.xsl

# DBLatex's dblatex script for PDF generation from DocBook
DBLATEX=/usr/bin/dblatex

# Imagemagick's convert utility program for generated images used in the documentation
IMAGEMAGICK=/usr/bin/convert

# Gettext for translated documentation
MSGMERGE=msgmerge

# XML gettext tools
XML2POT=xml2pot

# DOCBOOK to EPUB
DBTOEPUB=dbtoepub

# Directories for postgresql subdirectories
PGSQL_DOCDIR=/home/postgresql-9.3.1/share/doc
PGSQL_MANDIR=/home/postgresql-9.3.1/share/man
PGSQL_SHAREDIR=/home/postgresql-9.3.1/share

# If XSLTPROC or XSLBASE were not found during configure, we cannot
# build the documentation
ifeq ($(XSLTPROC),)
all: requirements_not_met_xsltproc
else
ifeq ($(XSLBASE),)
all: requirements_not_met_xslbase
else
ifeq ($(IMAGEMAGICK),)
all: requirements_not_met_imagemagick
else
all: comments
endif
endif
endif

XML_SOURCES = \
	extras_historytable.xml \
	extras_tigergeocoder.xml \
	extras_topology.xml \
	extras.xml \
	faq_raster.xml \
	faq.xml \
	installation.xml \
	introduction.xml \
	performance_tips.xml \
	postgis.xml \
	reference_accessor.xml \
	reference_constructor.xml \
	reference_editor.xml \
	reference_exception.xml \
	reference_lrs.xml \
	reference_management.xml \
	reference_measure.xml \
	reference_sfcgal.xml \
	reference_misc.xml \
	reference_operator.xml \
	reference_output.xml \
	reference_processing.xml \
	reference_raster.xml \
	reference_transaction.xml \
	reference_type.xml \
	reference.xml \
	release_notes.xml \
	reporting.xml \
	using_postgis_app.xml \
	using_postgis_dataman.xml \
	using_raster_dataman.xml 

XML_GENERATED_SOURCES = \
	postgis_aggs_mm.xml \
	postgis-out.xml \

XML_INPUTS = $(XML_SOURCES) $(XML_GENERATED_SOURCES)

XML_INPUTS_POT = $(XML_SOURCES:%.xml=po/templates/%.xml.pot)

$(XML_INPUTS_POT): po/templates/%.xml.pot: %.xml
	$(XML2POT) $< > $@

# Creates or updates translation files
update-po: $(XML_INPUTS_POT)
	@for lang in $(translations); do \
    echo "Creating po files for language $$lang..." ; \
    for pot in $(XML_INPUTS_POT); do \
      mkdir -p po/$$lang; \
      po=po/$$lang/`basename $$pot .pot`.po; \
      if test -f $$po; then \
        $(MSGMERGE) --update $$po $$pot; \
      else \
        cp $$pot $$po; \
      fi; \
    done; \
  done

ifeq ($(XSLTPROC),)
postgis_aggs_mm.xml: requirements_not_met_xsltproc
else
postgis_aggs_mm.xml: ./xsl/postgis_aggs_mm.xml.xsl postgis-out.xml Makefile
	$(XSLTPROC) --novalid ./xsl/postgis_aggs_mm.xml.xsl postgis-out.xml > $@
endif

postgis_comments.sql: ./xsl/postgis_comments.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/postgis_comments.sql.xsl postgis-out.xml > $@
	
postgis_cheatsheet.html: ./xsl/postgis_cheatsheet.html.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/postgis_cheatsheet.html.xsl postgis-out.xml > $@
	
raster_comments.sql: ./xsl/raster_comments.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) ./xsl/raster_comments.sql.xsl postgis-out.xml > $@
	
raster_cheatsheet.html: ./xsl/raster_cheatsheet.html.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/raster_cheatsheet.html.xsl postgis-out.xml > $@
	
topology_comments.sql: ./xsl/topology_comments.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/topology_comments.sql.xsl postgis-out.xml > $@
	
topology_cheatsheet.html: ./xsl/topology_cheatsheet.html.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/topology_cheatsheet.html.xsl postgis-out.xml > $@
	
sfcgal_comments.sql: ./xsl/sfcgal_comments.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/sfcgal_comments.sql.xsl postgis-out.xml > $@
	
sfcgal_cheatsheet.html: ./xsl/sfcgal_cheatsheet.html.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/sfcgal_cheatsheet.html.xsl postgis-out.xml > $@
	
tiger_geocoder_comments.sql: ./xsl/tiger_geocoder_comments.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/tiger_geocoder_comments.sql.xsl postgis-out.xml > $@
	
tiger_geocoder_cheatsheet.html: ./xsl/tiger_geocoder_cheatsheet.html.xsl $(XML_INPUTS)
	$(XSLTPROC) --novalid ./xsl/tiger_geocoder_cheatsheet.html.xsl postgis-out.xml > $@

postgis-out.xml: postgis.xml Makefile
	$(PERL) -lpe "s'@@LAST_RELEASE_VERSION@@'${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}'g" $< > $@

chunked-html: postgis-out.xml Makefile images $(XML_INPUTS)
	$(XSLTPROC) $(XSLTPROC_COMMONOPTS) $(XSLTPROC_HTMLOPTS) \
		--output html/ \
		--stringparam saxon.character.representation decimal \
		$(CHUNK_HTML_DOCBOOK_XSL) \
		$<

html: html/postgis$(DOCSUFFIX).html

html-localized:
	@for lang in $(translations); do \
    echo "Creating html for language $$lang..."; \
    $(MAKE) -C po/$$lang local-html; \
  done

html/postgis$(DOCSUFFIX).html: postgis-out.xml Makefile images $(XML_INPUTS)
	$(XSLTPROC) $(XSLTPROC_COMMONOPTS) $(XSLTPROC_HTMLOPTS) \
		--output html/postgis$(DOCSUFFIX).html \
		$(HTML_DOCBOOK_XSL) \
		$<


postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf: postgis-out.xml images $(XML_INPUTS)
	if test x"$(DBLATEX)" = x; then \
	   echo "Error: dblatex not found, can't build pdf"; \
	   echo "       try installing dblatex and then re-run configure"; \
	   false; \
	else \
		dblatex -T native -t pdf \
		   -I "${PWD}/html" \
		   -P doc.collab.show=0 \
		   -P figure.note="${PWD}/html/images/note" \
		   -P figure.tip="${PWD}/html/images/tip" \
		   -P figure.important="${PWD}/html/images/important" \
		   -P figure.warning="${PWD}/html/images/warning" \
		   -P figure.caution="${PWD}/html/images/caution" \
		   -P latex.output.revhistory=0 \
		   -o postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf $<; \
	fi
	
postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub: postgis-out.xml images $(XML_INPUTS)
	if test x"$(DBTOEPUB)" = x; then \
	   echo "Error: dbtoepub not found, can't build epub"; \
	   echo "       try installing dbtoepub"; \
	   false; \
	else \
		$(DBTOEPUB) -c "${PWD}/html/style.css" \
		 -o postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub \
		  $<; \
	fi

epub: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).epub

pdf: postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}$(DOCSUFFIX).pdf

pdf-localized:
	@for lang in $(translations); do \
    echo "Creating pdf for language $$lang..."; \
    $(MAKE) -C po/$$lang local-pdf; \
  done

doxygen.cfg: doxygen.cfg.in
	$(PERL) -lpe "s'@@LAST_RELEASE_VERSION@@'${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}'g" $< > $@

doxygen: doxygen.cfg
	doxygen $<

images: 
	$(MAKE) -C html/image_src images

images-clean:
	$(MAKE) -C html/image_src images-clean
	
clean: 
	rm -f html/*.html
	rm -f postgis-${POSTGIS_MAJOR_VERSION}.${POSTGIS_MINOR_VERSION}.${POSTGIS_MICRO_VERSION}.pdf
	rm -f *.epub
	$(MAKE) -C html/image_src clean
	rm -f $(XML_GENERATED_SOURCES)

distclean: clean
	$(MAKE) -C html/image_src distclean
	rm -f Makefile

maintainer-clean: clean images-clean
	rm -f postgis_comments.sql raster_comments.sql topology_comments.sql tiger_geocoder_comments.sql

ifeq ($(XSLTPROC),)
comments: requirements_not_met_xsltproc
else
comments: postgis_comments.sql raster_comments.sql topology_comments.sql sfcgal_comments.sql tiger_geocoder_comments.sql
endif

cheatsheets: postgis_cheatsheet.html raster_cheatsheet.html topology_cheatsheet.html sfcgal_cheatsheet.html tiger_geocoder_cheatsheet.html

ifeq ($(XSLTPROC),)
comments-install: 
	if test -e postgis_comments.sql  -a \
	        -e raster_comments.sql   -a \
	        -e topology_comments.sql -a \
	        -e sfcgal_comments.sql -a \
	        -e tiger_geocoder_comments.sql; then \
	  $(MAKE) -f Makefile.comments install; \
	fi
else
comments-install: comments
	$(MAKE) -f Makefile.comments install
endif

comments-uninstall:
	$(MAKE) -f Makefile.comments uninstall

man-install: man/shp2pgsql.1 man/pgsql2shp.1
	mkdir -p $(DESTDIR)$(PGSQL_MANDIR)/man1
	$(INSTALL_DATA) man/pgsql2shp.1 $(DESTDIR)$(PGSQL_MANDIR)/man1/pgsql2shp.1
	$(INSTALL_DATA) man/shp2pgsql.1 $(DESTDIR)$(PGSQL_MANDIR)/man1/shp2pgsql.1

man-uninstall:
	rm -f $(DESTDIR)$(PGSQL_MANDIR)/man1/shp2pgsql.1
	rm -f $(DESTDIR)$(PGSQL_MANDIR)/man1/pgsql2shp.1

docs-install: html/postgis.html html/style.css
	mkdir -p $(DESTDIR)$(PGSQL_DOCDIR)/postgis/images
	$(INSTALL_DATA) html/postgis.html $(DESTDIR)$(PGSQL_DOCDIR)/postgis/
	$(INSTALL_DATA) html/style.css $(DESTDIR)$(PGSQL_DOCDIR)/postgis/
	$(INSTALL_DATA) html/images/* $(DESTDIR)$(PGSQL_DOCDIR)/postgis/images/
	$(INSTALL_DATA) ../README.postgis $(DESTDIR)$(PGSQL_DOCDIR)/postgis/README.postgis

docs-uninstall: 
	rm -f $(DESTDIR)$(PGSQL_DOCDIR)/postgis/postgis.html
	rm -f $(DESTDIR)$(PGSQL_DOCDIR)/postgis/style.css
	rm -rf $(DESTDIR)$(PGSQL_DOCDIR)/postgis/images
	rm -f $(DESTDIR)$(PGSQL_DOCDIR)/postgis/README.postgis

install: comments-install

uninstall: comments-uninstall

ifeq ($(XSLTPROC),)
garden: requirements_not_met_xsltproc
else
garden:	xsl/postgis_gardentest.sql.xsl $(XML_INPUTS)
	$(XSLTPROC) -o postgis_gardentest_${POSTGIS_MAJOR_VERSION}${POSTGIS_MINOR_VERSION}.sql xsl/postgis_gardentest.sql.xsl postgis-out.xml
	$(XSLTPROC) -o raster_gardentest_${POSTGIS_MAJOR_VERSION}${POSTGIS_MINOR_VERSION}.sql xsl/raster_gardentest.sql.xsl postgis-out.xml
endif



ifeq ($(XMLLINT),)
check: requirements_not_met_xmllint
else
check: $(XML_INPUTS)
	$(XMLLINT) --loaddtd --xinclude --valid postgis-out.xml > /dev/null
endif


requirements_not_met_xsltproc:
	@echo
	@echo "configure was unable to find 'xsltproc' which is required"
	@echo "to build the documentation."
	@echo "Install xsltproc and then re-run configure. Alternatively "
	@echo "refer to online manual:"
	@echo
	@echo "  http://postgis.net/documentation"
	@echo

requirements_not_met_xmllint:
	@echo
	@echo "configure was unable to find 'xmllint' which is required"
	@echo "to test the documentation."
	@echo "Install xmllint and then re-run configure. Alternatively "
	@echo "refer to online manual:"
	@echo
	@echo "  http://postgis.net/documentation"
	@echo

requirements_not_met_xslbase:
	@echo

=== java/jdbc/Makefile ===
# **********************************************************************
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# *
# * Copyright (C) 2012 Sandro Santilli <strk@keybit.net>
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

ANT=/usr/bin/ant

all: build

build clean distclean check:
	$(ANT) $@

maintainer-clean: distclean
	: nothing to do

install uninstall:
	: TODO !

=== topology/test/Makefile ===
DATABASE=postgis_topo_regress

PSQL=psql
PERL=/usr/bin/perl
GEOS_NUMERIC_VERSION=30500

all: 
	@echo "Use 'make check' to run all tests"

# TODO: make edit_topology.sql into a proper test
edit:
	$(PSQL) -X -f edit_topology.sql $(DATABASE)


topo_predicates.sql: predicates.sql.in
	cpp -P -traditional-cpp predicates.sql.in | sed -e 's:@COLUMN@:feature:g;s:@SCHEMA@:topology.:g' > topo_predicates.sql

load_topology.sql: load_topology.sql.in
	@cpp -P -traditional-cpp load_topology.sql.in | sed -e 's:@SRID@:-1:g' > load_topology.sql

load_topology-4326.sql: load_topology.sql.in
	@cpp -P -traditional-cpp load_topology.sql.in | sed -e 's:@SRID@:4326:g' > load_topology-4326.sql

clean distclean:
	rm -f topo_predicates.sql load_topology.sql load_topology-4326.sql regress/topogeo_addlinestring_expected

TESTS = regress/legacy_validate.sql regress/legacy_predicate.sql \
	regress/legacy_invalid.sql regress/sqlmm.sql \
	regress/legacy_query.sql regress/addnode.sql \
	regress/addedge.sql regress/addface.sql \
	regress/addface2.5d.sql \
	regress/addtopogeometrycolumn.sql \
	regress/polygonize.sql \
	regress/st_addisoedge.sql \
	regress/st_addisonode.sql \
	regress/st_addedgemodface.sql \
	regress/st_addedgenewfaces.sql \
	regress/st_changeedgegeom.sql \
	regress/st_createtopogeo.sql \
	regress/st_getfacegeometry.sql \
	regress/st_getfaceedges.sql \
	regress/st_modedgeheal.sql \
	regress/st_modedgesplit.sql \
	regress/st_newedgeheal.sql \
	regress/st_newedgessplit.sql \
	regress/st_remedgenewface.sql \
	regress/st_remedgemodface.sql \
	regress/st_simplify.sql \
	regress/topoelement.sql \
	regress/topoelementarray_agg.sql \
	regress/topogeo_addlinestring.sql \
	regress/topogeo_addpoint.sql \
	regress/topogeo_addpolygon.sql \
	regress/topogeometry_type.sql \
	regress/topojson.sql \
	regress/topo2.5d.sql \
	regress/totopogeom.sql \
	regress/droptopology.sql \
	regress/copytopology.sql \
	regress/createtopogeom.sql \
	regress/createtopology.sql \
	regress/gml.sql \
	regress/getnodebypoint.sql \
	regress/getedgebypoint.sql \
	regress/getfacebypoint.sql \
	regress/getringedges.sql \
	regress/gettopogeomelements.sql \
	regress/layertrigger.sql \
	regress/validatetopology.sql

TESTS_EXPECTED = $(TESTS:.sql=_expected)

regress/topogeo_addlinestring_expected: Makefile
ifeq ($(shell expr $(GEOS_NUMERIC_VERSION) ">" 30308),1)
	cp regress/topogeo_addlinestring_expected_newsnap regress/topogeo_addlinestring_expected
else
	cp regress/topogeo_addlinestring_expected_oldsnap regress/topogeo_addlinestring_expected
endif
	

check: topo_predicates.sql load_topology.sql load_topology-4326.sql $(TESTS) $(TESTS_EXPECTED)
	$(MAKE) -C ../../regress staged-install
	$(PERL) ../../regress/run_test.pl --topology $(RUNTESTFLAGS) $(TESTS)
	$(PERL) ../../regress/run_test.pl --upgrade --topology $(RUNTESTFLAGS) $(TESTS)

=== doc/html/image_src/Makefile ===
# **********************************************************************
# * $Id: Makefile.in
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.refractions.net
# * Copyright 2008 Kevin Neufeld
# *
# * This is free software; you can redistribute and/or modify it under
# * the terms of the GNU General Public Licence. See the COPYING file.
# *
# **********************************************************************

CC=gcc
CFLAGS=-g -O2  -Wall -Wmissing-prototypes 

CUNIT_LDFLAGS= -lcunit
CUNIT_CPPFLAGS= -I../../../liblwgeom

IMAGES= \
	../images/de9im01.png \
	../images/de9im02.png \
	../images/st_azimuth01.png \
	../images/st_azimuth02.png \
	../images/st_buffer01.png \
	../images/st_buffer02.png \
	../images/st_buffer03.png \
	../images/st_buffer04.png \
	../images/st_buffer05.png \
	../images/st_buffer06.png \
	../images/st_buffer07.png \
	../images/st_buffer08.png \
	../images/st_buildarea01.png \
	../images/st_buildarea02.png \
	../images/st_closestpoint01.png \
	../images/st_closestpoint02.png \
	../images/st_centroid01.png \
	../images/st_centroid02.png \
	../images/st_centroid03.png \
	../images/st_centroid04.png \
	../images/st_contains01.png \
	../images/st_contains02.png \
	../images/st_contains03.png \
	../images/st_contains04.png \
	../images/st_contains05.png \
	../images/st_contains06.png \
	../images/st_concavehull01.png \
	../images/st_concavehull02.png \
	../images/st_concavehull03.png \
	../images/st_concavehull04.png \
	../images/st_concavehull05.png \
	../images/st_concavehull06.png \
	../images/st_concavehull07.png \
	../images/st_concavehull08.png \
	../images/st_convexhull01.png \
	../images/st_crosses01.png \
	../images/st_crosses02.png \
	../images/st_crosses03.png \
	../images/st_crosses04.png \
	../images/st_delaunaytriangles04.png \
	../images/st_difference01.png \
	../images/st_dumppoints01.png \
	../images/st_issimple01.png \
	../images/st_issimple02.png \
	../images/st_issimple03.png \
	../images/st_issimple04.png \
	../images/st_issimple05.png \
	../images/st_issimple06.png \
	../images/st_issimple07.png \
	../images/st_isvalid01.png \
	../images/st_isvalid02.png \
	../images/st_isvalid03.png \
	../images/st_isvalid04.png \
	../images/st_isvalid05.png \
	../images/st_isvalid06.png \
	../images/st_isvalid07.png \
	../images/st_isvalid08.png \
	../images/st_isvalid09.png \
	../images/st_linecrossingdirection01.png \
	../images/st_linecrossingdirection02.png \
	../images/st_linecrossingdirection03.png \
	../images/st_linecrossingdirection04.png \
	../images/st_line_interpolate_point01.png \
	../images/st_line_substring01.png \
	../images/st_longestline01.png \
	../images/st_longestline02.png \
	../images/st_longestline03.png \
	../images/st_minimumboundingcircle01.png \
	../images/st_offsetcurve01.png \
	../images/st_offsetcurve02.png \
	../images/st_offsetcurve03.png \
	../images/st_offsetcurve04.png \
	../images/st_offsetcurve05.png \
	../images/st_offsetcurve06.png \
	../images/st_overlaps01.png \
	../images/st_overlaps02.png \
	../images/st_overlaps03.png \
	../images/st_sharedpaths01.png \
	../images/st_sharedpaths02.png \
	../images/st_shortestline01.png \
	../images/st_shortestline02.png \
	../images/st_snap01.png \
	../images/st_snap02.png \
	../images/st_snap03.png \
	../images/st_snap04.png \
	../images/st_snap05.png \
	../images/st_split01.png \
	../images/st_split02.png \
	../images/st_split03.png \
	../images/st_split04.png \
	../images/st_symdifference01.png \
	../images/st_symdifference02.png \
	../images/st_touches01.png \
	../images/st_touches02.png \
	../images/st_touches03.png \
	../images/st_touches04.png \
	../images/st_touches05.png \
	../images/st_touches06.png \
	../images/st_within01.png

# Images that are created with dimensions 100x100
IMAGES_RESIZED= \
	../images/de9im03.png \
	../images/de9im04.png \
	../images/de9im05.png \
	../images/de9im06.png \
	../images/de9im07.png \
	../images/de9im08.png \
	../images/de9im09.png \
	../images/de9im10.png \
	../images/de9im11.png \
	../images/de9im12.png \
	../images/de9im13.png 

OBJS=styles.o generator.o

# Build the generator
all: generator

# generate the images
images: $(IMAGES) $(IMAGES_RESIZED)

# Command to build each of the .o files
$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $(CUNIT_CPPFLAGS) -c -o $@ $<

# Command to build each of the .wkt files
$(IMAGES): ../images/%.png: %.wkt generator styles.conf
	@./generator $<

# Command to resize each of the images
$(IMAGES_RESIZED): ../images/%.png: %.wkt generator styles.conf
	@./generator $<
	convert $@ -resize 100x100 $@

# Build the main executable
generator: ../../../liblwgeom/.libs/liblwgeom.a $(OBJS)
	$(CC) -o $@ $(OBJS) ../../../liblwgeom/.libs/liblwgeom.a -lm $(CUNIT_LDFLAGS)

# Build liblwgeom
../../../liblwgeom/.libs/liblwgeom.a:
	make -C ../../../liblwgeom liblwgeom.la

# Clean target
clean:
	rm -f $(OBJS)
	rm -f generator
	rm -f tmp[0-9].png

distclean: clean
	rm -f Makefile

images-clean:
	rm -f $(IMAGES) $(IMAGES_RESIZED)

=== debian/changelog ===
postgis (2.1.3+dfsg-4ubuntu0.1) utopic-security; urgency=high

  * SECURITY UPDATE: crash of the database backend process when given
    invalid GeoJSON data (LP: #1438875)
    - debian/patches/geojson-fix-3094.patch: back-ported from the 2.1.7
      release, taken from debian patch by Markus Wanner.
    - No CVE number

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 01 Apr 2015 19:53:13 +0200

postgis (2.1.3+dfsg-4) unstable; urgency=low

  [ Bas Couwenberg ]
  * Add Czech translation by Michal Šimůnek. Closes: 751426.
  * Add Japanese translation by victory. Closes: 756718.
  * Add Danish translation by Joe Dalton. Closes: 757653.
  * Update for PostgreSQL 9.4.

  [ Jérémy Lal ]
  * Switch Build-Deps back to default-jdk instead of openjdk 7 | 8,
    as gcj-jdk does work now.
  * Backport upstream commits fixing test results with PostgreSQL 9.4.
  
  [ Markus Wanner ]
  * Let postgis recommend the (most up to date) extension, rather than
    only suggesting it.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 14 Aug 2014 13:40:03 +0200

postgis (2.1.3+dfsg-3) unstable; urgency=high

  * In patch use-debian-maven: Also drop the version requirement for the
    maven-javadoc-plugin.
  * Add Breaks & Replaces against liblwgeom-2.1.2, which shipped
    liblwgeom-2.1.3.so in a package named liblwgeom-2.1.2 due to the
    attempted quick security fix. Closes: #749015.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 22 May 2014 17:59:05 +0200

postgis (2.1.3+dfsg-2) unstable; urgency=high

  [ Bas Couwenberg ]
  * Bump liblwgeom package name from 2.1.2 to 2.1.3.
    (closes: #748756)

  [ Markus Wanner ]
  * Add NEWS.Debian to warn about a possibly breaking change.
  * Correct patch use-json-c. Drop explicit dependencies, but rely on
    shlibs:Depends, instead. Closes: #748332.
  * Revert parts of the patch use-debian-maven to actually build the
    javadocs. Add a libpostgis-java-doc package carrying the docs.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 21 May 2014 10:15:57 +0200

postgis (2.1.3+dfsg-1) unstable; urgency=high

  * New upstream release, 2.1.3: strengthens the code to forbid database
    users to trigger opening of arbitrary files or network connections by
    the system user running the PostgreSQL server process.
  * Add B-D-I libmaven-javadoc-plugin-java to support a new plugin in the
    jdbc pom file - supposedly generating java documentation.
  * Adjust the following patches to the new release: debian-versions, and
    use-debian-maven.
  * Refresh line numbers on: honor-build-flags, use-json-c.
  * Drop obsolete patch: java-version-fix.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 14 May 2014 13:55:46 +0200

postgis (2.1.2+dfsg-3) unstable; urgency=low

  * Also use dh-autoreconf to update libtool.m4. Closes: #744648. Move
    that and dh_autotools-dev above the copying step.
  * Update B-D on libjson-c-dev. Add patch use-josn-c to not only detect,
    but actually use the new directory for its include files.
    Closes: #745010.
  * Allow translations of the debconf notice for postgis-2.0 deprecation.
  * Add a German translation.
  * Add a Russian translation by Yuri Kozlov. Closes: #744268.
  * Add a French translation by Julien Patriarca. Closes: #744749.
  * Add a Polish translation by Michał Kułach. Closes: #745068.
  * Add a Portuguese translation by Américo Monteiro. Closes: #745148.
  * Add a Spanish translation by Matias A. Bellone. Closes: #745785.
  * Add a Italian translation by Beatrice Torracca. Closes: #747587.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 12 May 2014 18:53:55 +0200

=== debian/control ===
Source: postgis
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>, Francesco Paolo
 Lovergine <frankie@debian.org>, Markus Wanner <markus@bluegap.ch>,
 Bas Couwenberg <sebastic@xs4all.nl>
Build-Depends: debhelper (>= 9), po-debconf,
 dpkg-dev (>= 1.16.1~), autotools-dev, dh-autoreconf, autoconf2.13,
 flex, bison, rdfind, libgeos-dev (>= 3.3),
 libjson-c-dev | libjson0-dev (>= 0.9~),
 libproj-dev (>= 4.6.0), libssl-dev, xsltproc, docbook, docbook-xsl,
 imagemagick, libcunit1-dev, dblatex, libxml2-dev (>= 2.5.0~),
 libgtk2.0-dev, libgdal-dev (>= 1.9.0~) | libgdal1-dev (>= 1.9.0~),
 postgresql-server-dev-all, postgresql-common (>= 148~), postgresql,
 maven-repo-helper
Build-Depends-Indep: default-jdk,
 libpostgresql-jdbc-java, fastjar, libjts-java (>= 1.7), maven2,
 libmaven-clean-plugin-java, libmaven-jar-plugin-java,
 libsurefire-java, libmaven-compiler-plugin-java,
 libmaven-resources-plugin-java,
 libmaven-javadoc-plugin-java
Standards-Version: 3.9.5
Homepage: http://postgis.refractions.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/postgis.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/postgis.git

Package: postgis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: postgresql-9.4-postgis-2.1, postgis-doc
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries, common files.

Package: postgis-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: libpostgis-java
Architecture: all
Section: java
Depends: libpostgresql-jdbc-java, ${misc:Depends}
Suggests: postgresql-9.4-postgis-2.1
Breaks: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Replaces: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
Description: Geographic objects support for PostgreSQL -- JDBC support
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains JDBC support for PostGIS.

Package: libpostgis-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libpostgis-java
Description: Geographic objects support for PostgreSQL -- JDBC documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the documentation for the JDBC support for PostGIS.

Package: liblwgeom-2.1.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: liblwgeom-2.1.2 (<< 2.1.3+dfsg-2)
Replaces: liblwgeom-2.1.2 (<< 2.1.3+dfsg-2)
Description: PostGIS "Lightweight Geometry" library
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.

Package: liblwgeom-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 liblwgeom-2.1.3 (= ${binary:Version})
Breaks: postgis (<< 2.0.0)
Description: PostGIS "Lightweight Geometry" library - Development files
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.  This package contains
 the development files.

Package: postgresql-9.4-postgis-2.1
Depends: ${shlibs:Depends}, postgresql-9.4,
 postgresql-9.4-postgis-scripts, liblwgeom-2.1.3,
 ${misc:Depends}
Recommends: postgis, postgresql-contrib-9.4
Breaks: postgis (<< 1.2.1)
Architecture: any
Description: Geographic objects support for PostgreSQL 9.4
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package supports PostgreSQL 9.4.

Package: postgresql-9.4-postgis-scripts
Architecture: all
Depends: ${misc:Depends}
Recommends: postgresql-9.4-postgis-2.1
Replaces: postgresql-9.4-postgis-2.0-scripts (<< 2.1.0~),
 postgresql-9.4-postgis-2.1-scripts (<< 2.1.0-4~)
Breaks: postgresql-9.4-postgis-2.0-scripts (<< 2.1.0~),
 postgresql-9.4-postgis-2.1-scripts (<< 2.1.0-4~)
Description: Geographic objects support for PostgreSQL 9.4 -- scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains SQL scripts to upgrade from earlier PostGIS
 versions for PostgreSQL 9.4 as well as Perl utility scripts.

Package: postgresql-9.4-postgis-2.1-scripts
Architecture: all
Depends: ${misc:Depends}
Description: PostGIS for PostgreSQL 9.4 -- scripts -- dummy package
 This package contained SQL scripts to upgrade from earlier PostGIS
 versions for PostgreSQL 9.4 as well as Perl utility scripts.
 It got renamed to postgresql-9.4-postgis-scripts.
 .
 This is a transitional dummy package. It can safely be removed.

## postgis 2.1.4%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CHECK = check
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	CHECK =
endif

# PostgreSQL versions supported by PostGIS 2.0 - for automatic
# generation of transitional -scripts packages.
POSTGIS_2_0_PGVERS = 8.4 9.0 9.1 9.2

# Magic to automatically create a debian/control file for the (or all)
# supported versions of Postgres.
#
# Blatantly copied from
# /usr/share/postgresql-common/pgxs_debian_control.mk and extended to
# support NEWEST_VERSION and fiddle with postgis 2.0 transitional
# packages.
debian/control: debian/control.in debian/pgversions \
			debian/control.postgis-2.0.in
	(set -e; \
	VERSIONS=`pg_buildext supported-versions $(CURDIR)` || exit $$?; \
	NEWEST_VERSION=`pg_buildext supported-versions $(CURDIR) | tail -1` || exit $$?; \
	POSTGIS_2_0_PGVERS="$(POSTGIS_2_0_PGVERS)" ; \
	grep-dctrl -vP PGVERSION $< | \
		sed -e "s:NEWEST_PGVERSION:$$NEWEST_VERSION:" > $@.pgxs_tmp; \
	for v in $$VERSIONS; do \
		grep-dctrl -P PGVERSION $<      \
			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
		if test "$${POSTGIS_2_0_PGVERS#*$$v}" != "$${POSTGIS_2_0_PGVERS}" ; then \
			grep-dctrl -P PGVERSION debian/control.postgis-2.0.in \
			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
		fi; \
	done; \
	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# Determine JAVA_HOME to use. Depends on which Build-Depends-Indep
# variant has been used.
JAVA_HOME = /usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)
ifeq ("$(wildcard $(JAVA_HOME))","")
  JAVA_HOME = /usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)
  ifeq ("$(wildcard $(JAVA_HOME))","")
    JAVA_HOME = /usr/lib/jvm/java-6-openjdk-$(DEB_BUILD_ARCH)
    ifeq ("$(wildcard $(JAVA_HOME))","")
      JAVA_HOME =
    endif
  endif
endif

# Use maven in offline mode and with the local Debian repo
MVN = JAVA_HOME=$(JAVA_HOME) mvn --offline -Dmaven.repo.local=/usr/share/maven-repo

MAJOR_VERSION = $(shell grep POSTGIS_MAJOR_VERSION Version.config|cut -d= -f2)
MINOR_VERSION = $(shell grep POSTGIS_MINOR_VERSION Version.config|cut -d= -f2)
MICRO_VERSION = $(shell grep POSTGIS_MICRO_VERSION Version.config|cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR)|tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR)\
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-gui

build: build-arch build-indep

build-arch: build-arch-stamp check
build-arch-stamp: configuration-stamp
#	Build against the newest Postgres version
	$(MAKE)
	$(MAKE) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		$(MAKE) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configuration-stamp
#	Re-check JAVA_HOME
	@[ -n "$(JAVA_HOME)" ] || (echo "ERROR: didn't find a Java JDK"; exit 2)
	@[ -x "$(JAVA_HOME)/bin/javac" ] || (echo "ERROR: no javac in JAVA_HOME=$(JAVA_HOME)"; exit 2)

#	PostGIS JDBC (with debug support)
	cd $(CURDIR)/java/jdbc && $(MVN) package

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) -C postgis postgis.sql postgis_upgrade_21_minor.sql
	$(MAKE) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade_21_minor.sql
	$(MAKE) -C topology topology.sql topology_upgrade_21_minor.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) -C extensions

	touch $@

configuration: configuration-stamp
configuration-stamp:
	dh_testdir
	dh_prep -s

#	Run autoreconf *before* coying sources around.
	dh_autoreconf autoconf
	dh_autotools-dev_updateconfig

#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR)|grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

	touch $@

clean: debian/control
	dh_testdir
	dh_testroot

#	Clean all separate build directories.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) -C doc images-clean || true

#	We used to invoke 'mvn clean', but plain 'rm' is a lot quicker and
#	simpler, as it doesn't require all of the Java stuff in B-D, but
#	having it in Build-Depneds-Indep is enough.
	rm -rf $(CURDIR)/java/jdbc/target

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.1.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.config
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

#	Cleanup the temporary environment file.
	rm -f postgis-check-env.tmp

	dh_autotools-dev_restoreconfig
	dh_autoreconf_clean
	-mh_clean
	dh_clean

install: install-indep install-arch
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
